Create a subscription

Example request

POST https://api.7digital.com/1.2/user/unlimitedStreaming

userId=massivemusic-test-user&planCode=premium-unlimited-streaming&status=active&currency=GBP&recurringFee=10&country=GB&activatedAt=2021-06-08T16:03:06Z&currentPeriodStartDate=2021-06-08T16:03:06Z&expiryDate=2021-06-23T16:03:06Z

When creating subscriptions, it is essential to set the content type to application/x-www-form-urlencoded.

KeyValue
userIdmassivemusic-test-user
planCodepremium-unlimited-streaming
statusactive
currencyGBP
recurringFee10
countryGB
activatedAt2021-09-11T10:54:35Z
currentPeriodStartDate2021-09-11T10:54:35Z
expiryDate2021-10-11T10:54:35Z

Example response

{
    "streaming": {
        "level": "premium",
        "expiryDate": "2021-10-11T10:54:35Z"
    }
}
Form Data
string
required
string
required
string
required
string
required
int32
required
string
string
required
string
required
string
required
string
string
required
Headers
string
required
Language
LoadingLoading…